org.springframework.mail

## Class MailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.mail.MailException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MailAuthenticationException, MailParseException, MailPreparationException, MailSendException

    public abstract class MailException
    extends NestedRuntimeException

Base class for all mail exceptions.

Author:
  Dmitriy Kopylenko
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MailException(String msg)` Constructor for MailException.
`MailException(String msg, Throwable cause)` Constructor for MailException.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MailException

    public MailException(String msg)

Constructor for MailException.

Parameters:
  `msg` - the detail message

#### MailException

    public MailException(String msg,
                 Throwable cause)

Constructor for MailException.

Parameters:
  `msg` - the detail message
  `cause` - the root cause from the mail API in use